For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETCallback Task Mcp Server
      • GETAuthorize Task Mcp Server
      • POSTDiscover Task Mcp Server Tools
      • GETList Task Mcp Servers
      • POSTCreate Task Mcp Server
      • GETList Task Mcp Server Catalog
      • GETGet Task Mcp Server Catalog
      • GETGet Task Mcp Server
      • POSTUpdate Task Mcp Server
      • DELDelete Task Mcp Server
      • POSTRefresh Task Mcp Server
      • POSTReauthorize Task Mcp Server
      • GETIAM - List Task Mcp Server Members
      • GETIAM - Lookup Task Mcp Server Member
      • POSTIAM - Update Task Mcp Server Member
      • POSTIAM - Test Task Mcp Server Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTask Mcp Servers

List Task Mcp Server Catalog

GET
/org/:org_id/project/:project_id/task_mcp_server/catalog
GET
/api/v1/org/:org_id/project/:project_id/task_mcp_server/catalog
$curl https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/task_mcp_server/catalog \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "string",
4 "slug": "string",
5 "display_name": "string",
6 "canonical_resource": "string",
7 "default_server_url": "string",
8 "default_transport": "streamable_http",
9 "auth_mode": "none",
10 "enabled": true,
11 "description": "string"
12 }
13]
Was this page helpful?
Previous

Get Task Mcp Server Catalog

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Response

Successful Response
idstringformat: "uuid"
slugstring
display_namestring
canonical_resourcestringformat: "uri"1-2083 characters
default_server_urlstringformat: "uri"1-2083 characters
default_transportenum
Allowed values:
auth_modeenum
Allowed values:
enabledboolean
descriptionstring or null

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error